Shadowlands API Compatibility Patch

Addons
328 Downloads Last Updated: Oct 16, 2020 Game Version: 9.0.1

Patches included are meant to be temporary until addon authors have time to update their addons, or to make dead addons functional for the time being until you can find a replacement. Disable/remove this addon once your other addons are updated.

 

Removed the version with backdrop fixes because the problems that came with it just wasn't worth it.

 

This addon aim to fix the most common lua errors due to the recent Shadowlands API updates.

 

Patches included will/may not work if:

1. API is cached in local variable(s) (e.g. Rarity)

2. Addon designed with classic compatibility in the same build

 

If you want me to include anything else that's not already included, leave a comment with error output and I'll get to it when I can.

Comments

  • To post a comment, please or register a new account.
Posts Quoted: